DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | Protected Attributes | Private Member Functions | List of all members
OFStackBase Class Reference

non-template base class for OFStack. More...

Inheritance diagram for OFStackBase:

## Public Member Functions
| OFStackBase ()
| default constructor
virtual | ~OFStackBase ()
| destructor
OFBool | base_empty () const
| checks if the stack is empty More...
size_t | base_size () const
| returns size of stack More...
OFStackLinkBase * | base_top ()
| returns element on top of stack. More...
const OFStackLinkBase * | base_top () const
| returns element on top of stack. More...
void | base_push (OFStackLinkBase *element)
| pushes element onto stack. More...
void | base_pop ()
| removes top element from stack. More...

## Protected Attributes
OFStackLinkBase * | head
| pointer to top element of stack
size_t | stackSize
| size of stack

## Private Member Functions
| OFStackBase (const OFStackBase &)
| private undefined copy constructor
OFStackBase & | operator= (const OFStackBase &)
| private undefined copy assignment operator

## Detailed Description

non-template base class for OFStack.

Implicitly used by OFStack, should not be called by users.

## Member Function Documentation

## ◆ base_empty()

OFBool OFStackBase::base_empty | ( |  | ) | const
| inline

checks if the stack is empty

Returns
  true if stack is empty, false otherwise

Referenced by OFStack< T >::empty(), and OFStack< T >::operator=().

## ◆ base_pop()

void OFStackBase::base_pop | ( |  | ) |
| inline

removes top element from stack.

precondition: stack not empty.

References OFStackLinkBase::next.

Referenced by OFStack< T >::operator=(), and OFStack< T >::pop().

## ◆ base_push()

void OFStackBase::base_push | ( | OFStackLinkBase * | element | ) |
| inline

pushes element onto stack.

Parameters

  element | pointer to element

References OFStackLinkBase::next.

Referenced by OFStack< T >::push().

## ◆ base_size()

size_t OFStackBase::base_size | ( |  | ) | const
| inline

returns size of stack

Returns
  size of stack

Referenced by OFStack< T >::size().

## ◆ base_top() [1/2]

OFStackLinkBase* OFStackBase::base_top | ( |  | ) |
| inline

returns element on top of stack.

precondition: stack is not empty

Returns
  element on top of stack.

## ◆ base_top() [2/2]

const OFStackLinkBase* OFStackBase::base_top | ( |  | ) | const
| inline

returns element on top of stack.

precondition: stack is not empty

Returns
  element on top of stack.

The documentation for this class was generated from the following file:

- ofstd/include/dcmtk/ofstd/ofstack.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1